SSL_CTX_get_verify_mode(3)

NAME
SSL_CTX_get_verify_mode, SSL_get_verify_mode, SSL_CTX_get_verify_depth, SSL_get_verify_depth, SSL_get_verify_callback, SSL_CTX_get_verify_callback - get currently set verification parameters

SYNOPSIS
 #include <openssl/ssl.h>

 int SSL_CTX_get_verify_mode(SSL_CTX *ctx);
 int SSL_get_verify_mode(SSL *ssl);
 int SSL_CTX_get_verify_depth(SSL_CTX *ctx);
 int SSL_get_verify_depth(SSL *ssl);
 int (*SSL_CTX_get_verify_callback(SSL_CTX *ctx))(int, X509_STORE_CTX *);
 int (*SSL_get_verify_callback(SSL *ssl))(int, X509_STORE_CTX *);

DESCRIPTION
SSL_CTX_get_verify_mode() returns the verification mode currently set in ctx.

SSL_get_verify_mode() returns the verification mode currently set in ssl.

SSL_CTX_get_verify_depth() returns the verification depth limit currently set in ctx. If no limit has been explicitly set, -1 is returned and the default value will be used.

SSL_get_verify_depth() returns the verification depth limit currently set in ssl. If no limit has been explicitly set, -1 is returned and the default value will be used.

SSL_CTX_get_verify_callback() returns a function pointer to the verification callback currently set in ctx. If no callback was explicitly set, the NULL pointer is returned and the default callback will be used.

SSL_get_verify_callback() returns a function pointer to the verification callback currently set in ssl. If no callback was explicitly set, the NULL pointer is returned and the default callback will be used.

RETURN VALUES
See DESCRIPTION

SEE ALSO
ssl(3), SSL_CTX_set_verify(3)